<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (is_file(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
// The Auto Routing (Legacy) is very dangerous. It is easy to create vulnerable apps
// where controller filters or CSRF protection are bypassed.
// If you don't want to define all routes, please use the Auto Routing (Improved).
// Set `$autoRoutesImproved` to true in `app/Config/Feature.php` and set the following to true.
// $routes->setAutoRoute(false);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');
$routes->get('/login', 'User::login');
$routes->get('/onboard', 'Home::onboard');
$routes->get('/register', 'User::register');
$routes->get('/verify', 'User::verify');
$routes->post('/register', 'Home::post_register');
$routes->post('/verifycode', 'User::verifycode');
$routes->get('/index', 'Home::index');
$routes->get('/logout', 'User::logout');
$routes->post('/login', 'User::auth');
$routes->get('/completeprofile', 'User::completeprofile');
$routes->post('/completeprofile', 'User::completeprofilepost');
$routes->get('/fundinfo', 'Fund::fundinfo');
$routes->get('/transactions', 'Home::transactions');
$routes->get('/funds', 'Home::funds');
$routes->get('/notification', 'Home::notification');
$routes->post('/notificationt', 'Home::notificationpost');
$routes->get('/wealthfund', 'Home::wealthfund');
$routes->get('/unitfund', 'Home::unitfund');
$routes->get('/pensionfund', 'Home::pensionfund');
$routes->post('/transactions', 'Fund::transgenerator');
$routes->post('/otpresend', 'User::otpresendpost');
$routes->get('/specialfund', 'Home::specialfund');


$routes->get('/profilepage', 'Profile::profile');
$routes->post('/enrol', 'Fund::enrolfund');
$routes->get('/enrolsuccess', 'Fund::enrolsuccess');
$routes->get('/accesstoken', 'Mpesa::Accesstoken');
$routes->get('/mpesastk', 'Mpesa::mpesastk');
$routes->post('/callback', 'Mpesa::callback');
$routes->get('/query', 'Mpesa::query');
$routes->get('/registerurl', 'Mpesa::registerurl');
$routes->post('/deposit', 'Mpesa::deposit');
$routes->get('/paymentconfirmation', 'Mpesa::paymentconfirmation');
$routes->post('/paymentcheck', 'Mpesa::paymentcheck');
$routes->get('/paymentsuccess', 'Mpesa::paymentsuccess');
$routes->get('/transactionsdetail', 'Home::transactionsdetail');
$routes->post('/callback', 'Mpesa::callback');
$routes->get('/stkpushfailed', 'Mpesa::stkpushfailed');
$routes->get('/confirmationfail', 'Mpesa::confirmationfail');
$routes->get('/forgotpassword', 'User::forgotpassword');
$routes->post('/forgotpassword', 'User::forgotpost');
$routes->get('/verifypassword', 'User::verifypassword');
$routes->post('/verifypassword', 'User::verifypasscode');
$routes->get('/changepassword', 'User::changepassword');
$routes->post('/changepassword', 'User::updatepassword');
$routes->get('/notificationdetail', 'Home::notificationdetail');
$routes->get('/topupmethod', 'Home::topupmethod');
$routes->get('/cellulant', 'Cellulant::cellulant');
$routes->get('/updatephoto', 'Profile::updatephoto');
$routes->post('/updatephoto', 'Profile::updatephotopost');
$routes->get('/updateprofile', 'Profile::updateprofile');
$routes->post('/updateprofile', 'Profile::updateprofilepost');
$routes->get('/updatephone', 'Profile::updatephone');
$routes->post('/updatephone', 'Profile::updatephonepost');
$routes->get('/updateemail', 'Profile::updateemail');
$routes->get('/verifyemail', 'Profile::verifyemail');
$routes->post('/updateemail', 'Profile::updateemailpost');
$routes->get('/verifyphone', 'Profile::verifyphone');
$routes->post('/verifyphone', 'Profile::verifyphonecode');
$routes->get('/updatepassword', 'Profile::updatepassword');
$routes->post('/updatepassword', 'Profile::updatepasswordpost');
$routes->get('/forgotemail', 'User::forgotemail');
$routes->post('/forgotemail', 'User::forgotemailpost');
$routes->get('/ipay', 'Ipay::ipaypage');
$routes->get('/ipay-callback', 'Ipay::ipay_callback');
$routes->get('/ipay', 'Ipay::ipaypage');
$routes->get('/ipayconfirmation', 'Ipay::ipayconfirmation');
$routes->post('/ipay', 'Ipay::ipaypost');
$routes->get('/ipaysuccess', 'Ipay::ipaysuccess');
$routes->post('/reportgenerate', 'Fund::reportgenerator');
$routes->get('/withdrawmethod', 'Home::withdrawmethod');
$routes->get('/ipaywithdraw', 'Ipay::ipaywithdraw');
$routes->post('/ipaywithdraw', 'Ipay::ipaywithdrawpost');
$routes->get('/ipaywithdraw', 'Ipay::ipaywithdraw');
$routes->get('/ipaywithdrawconfirmation', 'Ipay::ipaywithdrawconfirmation');
$routes->get('/ipay_withdrawcallback', 'Ipay::ipay_withdrawcallback');
$routes->post('/ipaywithdrawconfirmation', 'Ipay::ipaywithdrawpostconfirm');
$routes->get('/eftwithdraw', 'EFT::eftwithdraw');
$routes->get('/eftconfirmation', 'EFT::eftconfirmation');
$routes->post('/eftwithdraw', 'EFT::eftpost');
$routes->post('/recuring', 'Fund::recuringpost');
$routes->post('/transfer', 'Fund::transferpost');
$routes->post('/reinvest', 'Fund::reinvestpost');
$routes->post('/confirmeft', 'EFT::eftconfirmationpost');
$routes->get('/eftstatus', 'EFT::eftstatus');
$routes->post('/wealthmanagementinterest', 'Fund::wealthmanagementinterest');
$routes->get('/deposit', 'Home::deposit');
$routes->get('/fundreports', 'Home::fundreports');
$routes->post('/cellulant', 'Cellulant::cellulantpost');

/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (is_file(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
